<?php

//require_once '../../../config/inc.config.php';
require_once(PEAR_PATH."MDB2.php");
require_once('GestionBD_classe.php');
require_once(MODEL_PATH.'Article_classe.php');

class GestionBDArticle {
	private $gestionBD;


	function __construct()
	{
		$this->gestionBD = new GestionBD(DSN);
	}

	function getArticleById($id)
	{
		$req='select id, content, email from Article where id=:id';
		
	}

	function getLastArticle()
	{
		$req='select id, content, email from Article where id = (select max(id) from article)';
		
	}

	function getArticlesByEmail($email)
	{
		$req='select id, content, email from article where email=:email';
		
	}

	function getAllArticles()
	{
		$req='select id, content, email from article';
		
	}
	
	function delArticleById($id)
	{
		$req='delete from Article where id=:id';
			
	}

	function createArticle($content, $email)
	{
		$id = $this->getLastArticle()->getId();

		$req='insert into Article (id, content, email) values (:id, :content, :email)';
		



	}

	function updateArticle($id, $content, $email)
	{
		$req='update Article set id=:id, content=:content, email=:email where id=:id';
		
	}
}


?>